Package org.forgerock.http.client
Class ChfHttpClient
java.lang.Object
org.forgerock.http.client.ChfHttpClient
Deprecated, for removal: This API element is subject to removal in a future version.
A basic http client that can be used to send
HttpClientRequest objects and
receive HttpClientResponse objects.- Since:
- 12.0.0
-
Field Summary
Fields -
Constructor Summary
ConstructorsModifierConstructorDescriptionprotectedChfHttpClient(Client client, HttpClientRequestFactory httpClientRequestFactory) Deprecated, for removal: This API element is subject to removal in a future version.Constructs a new ChfHttpClient. -
Method Summary
Modifier and TypeMethodDescriptionprotected HttpClientResponsegetHttpClientResponse(String uri, String body, Map<String, List<Map<String, String>>> requestData, String method) Deprecated, for removal: This API element is subject to removal in a future version.Executes the HTTP request and returns the response.
-
Field Details
-
client
Deprecated, for removal: This API element is subject to removal in a future version.The underlying client.
-
-
Constructor Details
-
ChfHttpClient
Deprecated, for removal: This API element is subject to removal in a future version.Constructs a new ChfHttpClient.- Parameters:
client- the underlying clienthttpClientRequestFactory- the request factory
-
-
Method Details
-
getHttpClientResponse
protected HttpClientResponse getHttpClientResponse(String uri, String body, Map<String, List<Map<String, throws IOException, MalformedHeaderException, URISyntaxExceptionString>>> requestData, String method) Deprecated, for removal: This API element is subject to removal in a future version.Executes the HTTP request and returns the response.- Parameters:
uri- the request URIbody- the request bodyrequestData- the request datamethod- the request method- Returns:
- the HTTP response
- Throws:
IOException- if an I/O error occursMalformedHeaderException- if a header is malformedURISyntaxException- if the URI is invalid
-
Client.